.over {
  border: 2px dashed #000;
}

.infinite-scroll-container {
  position: relative;
  height: 500px;
  overflow: hidden;
}

.infinite-scroll-header {
  table-layout: fixed;
  margin-bottom: 0;
  background-color: #0094ff;
  color: #fff;
}

.infinite-scroll-data {
  overflow-y: scroll;
  height: 85%;
}

.infinite-scroll-loading {
  height: 60px;
  background-color: #fff;
  text-align: center;
}

.infinite-scroll-loading > i {
  margin: 10px;
  color: #0094ff;
}

.list-container {
  background-color: #F6F6F6;
  border: 1px solid var(--primary-color);
  min-width: 150px;
  position: relative;
  overflow: hidden;
  height: 400px;
}

.list-header {
  background-color: var(--primary-color);
  font-weight: 700;
}

.list-rows {
  overflow-x: hidden;
  overflow-y: scroll;
  position: relative;
  height: 100%;
  -ms-word-wrap: break-word;
  word-wrap: break-word;
}

.list-rows > div {
  position: relative;
}

.list-row {
  /*height: 24px;*/
}

.list-row > .col-desc > p {
  padding: 0;
}
/*Beginning of use of Modernizr generated classes*/
/*cssscrollbar and no-cssscrollbar are Modernizr generated classes.*/
.no-cssscrollbar .list-container > .hidescroll {
  /*width: 120%;*/
  /* CSS Hack to hide scrollbar...*/
  padding-right: 130px;
  margin-right: -150px;
  /* END - CSS Hack to hide scrollbar...*/
}

.cssscrollbar .list-container > .hidescroll {
  width: 100%;
}

.cssscrollbar .list-container > .hidescroll::-webkit-scrollbar {
  display: none;
}
/*End of use of Modernizr generated classes*/

.list-rows > ul {
  list-style-type: none;
  padding-left: 0;
}

.list-rows > ul > li {
  line-height: 1.75em;
  padding: 5px;
  background-color: #f9f9f9;
  border-bottom: 1px solid var(--primary-color);
}

.list-rows > ul > li:nth-child(even) {
  background-color: #D3D3D3;
}

.list-row-over > div {
  border: 2px dashed #0094ff;
}

.list-row-drag > div {
  background-color: white;
  color: white;
}

.list-row-drag a {
  color: white;
}

.list-info {
  text-align: center;
}

.rows-info {
  text-align: center;
  font-weight: bold;
  background-color: #0094ff;
  color: white;
}

.filter-controls {
  line-height: 12px;
}

.filter-controls > input {
  margin-left: 5px;
}
/*Sorting list styling */

.sorting-list-container {
  position: relative;
  z-index: 2;
  border: 1px solid var(--primary-color);
  background-color: #fff;
}

.sorting-list-title {
  height: 10%;
  background-color: var(--white-bg-color);
  padding: 15px 15px 5px;
}

.sorting-list-title > p {
  color: white;
  font-size: 24px;
  font-weight: bold;
  margin: 0 0 0 5px;
}

.soartable-list {
  list-style: none;
  padding: 0;
  background-color: #FFF;
  overflow-x: hidden;
  overflow-y: scroll;
  margin-bottom: 0;
  height: 350px;
}

.soartable-list > li {
  padding: 0 2px 0 5px;
  height: 30px;
  border-bottom: 1px solid var(--primary-color);
  background-color: var(--grey-color);
}

.soartable-list > li:nth-child(even) {
  background-color: var(--grey-color);
}

.soartable-list > .select {
  border: 3px solid #697FA2;
}

.soartable-list > li > div {
  position: relative;
  height: 100%;
}

.soartable-list > li > div > i,
.soartable-list > li > div > p {
  font-size: 30px;
  line-height: 30px;
  color: blue;
  position: absolute;
  top: 50%;
  -webkit-transform: translate(0, -50%);
  -moz-transform: translate(0, -50%);
  -ms-transform: translate(0, -50%);
  -o-transform: translate(0, -50%);
  transform: translate(0, -50%);
}

.soartable-list > li > div > p {
  margin: 0 15px;
  font-weight: bold;
  height: 20px;
}

.soartable-list > li > div > span {
  font-weight: bold;
  font-size: 14px;
  line-height: 20px;
  vertical-align: middle;
  color: var(--primary-color);
  margin-right: 10px;
}

.sort-btn-group {
  padding: 10px 5px 5px;
  border-top: 1px solid var(--primary-color);
  margin-left: 0;
}

.sort-btn-group > .btn-group {
  margin-bottom: 5px;
}

.sort-btn {
  border-color: var(--primary-color);
  color: var(--primary-color);
}

.sort-btn > i {
  margin-right: 5px;
}

.red {
  color: red !important;
}

.soartable-list > .select > div > span {
  color: blue;
}
/* End sorting list styling*/